import { TableActionName } from '@geenee/ui/src/lib/component/styled-table';
declare type Props<T> = {
    rowActions?: {
        id: TableActionName;
        onClick: (item: T) => void;
    }[];
    row: T;
};
export declare const RowActions: <T>({ rowActions, row }: Props<T>) => JSX.Element;
export {};
